AbstractDatabaseProbe (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.AbstractDatabaseProbe class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class AbstractDatabaseProbe

    java.lang.Object
      com.securitycentric.metacoretex.lib.AbstractProbe
          com.securitycentric.metacoretex.lib.AbstractDatabaseProbe

All Implemented Interfaces:
  DatabaseProbe, Probe, java.lang.Runnable

public abstract class AbstractDatabaseProbe
extends AbstractProbe
implements DatabaseProbe

AbstractDatabasrProbe extends the AbstractProbe to implement a couple database friendly functions.

Author:
  visigoth

Field Summary

Fields inherited from class com.securitycentric.metacoretex.lib.AbstractProbe
`copyright, depVect, enabled, familyStr, helpStr, nameStr, options, pException, probeId, provHash, reportable, repStr, safe, severity, target, timeout, unspec, version`

Constructor Summary
`AbstractDatabaseProbe()`

Method Summary
`void` | `addResultSet(java.sql.ResultSet res)` Add a result set to the current report string.

Methods inherited from class com.securitycentric.metacoretex.lib.AbstractProbe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probeSafe, provides, replaceOptions, run, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.securitycentric.metacoretex.interfaces.Probe
`addDepends, addOption, addProvides, addReport, depends, dumpOptions, getCopyright, getException, getFamily, getHelp, getHost, getName, getOption, getOptionKeys, getProbeId, getReport, getSeverity, getTarget, getTimeout, getVersion, hasSafe, isEnabled, isReportable, kbGet, kbHas, kbPut, probe, probeSafe, provides, replaceOptions, setCopyright, setEnabled, setFamily, setHelp, setName, setProbeId, setReport, setReportable, setSeverity, setTarget, setTimeout, setVersion`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### AbstractDatabaseProbe

    public AbstractDatabaseProbe()

Method Detail

### addResultSet

    public void addResultSet(java.sql.ResultSet res)
                      throws java.sql.SQLException

  Add a result set to the current report string. This will set up a tab delimited print out of the `ResultSet` by listing column names at the top.

  Specified by:
    `addResultSet` in interface `DatabaseProbe`
  Parameters:
    `res` - java.sql.ResultSet from a recent query.
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD